[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_rtc' (#crwlib)

# TIntervalTimer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_rtc.pas line 738

`type TIntervalTimer = class(TLatch)`
`public`
`constructor Create();`
`destructor Destroy; override;`
`procedure StartAt();`
`procedure Start;`
`procedure Stop;`
`function isStart;`
`procedure AddIntervalMs();`
`property GlobalTime: Double; [r]`
`property LocalTime: Double; [r]`
`property LocalTimeUnits: Double; [rw]`
`property StartTime: Double; [r]`
`property IntervalStartTime: Double; [r]`
`property Event: Boolean; [r]`
`property What: Word; [r]`
`property NumIntervals: Integer; [r]`
`property CurrentInterval: Integer; [r]`
`property IntervalMs []: Double; [rw]`
`property IntervalEvent []: Word; [rw]`
`end;`

## Inheritance

`TIntervalTimer`
`TLatch`
`TMasterObject`
`TObject`